## org.gnu.gtk
Class IconSet

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gtk.IconSet

public class IconSet
extends Boxed

This object represents a set of Icons that are a variant of a particular icon.

Constructor Summary
`IconSet()` Construct a new empty IconSet.
`IconSet(org.gnu.glib.Handle handle)` Initialize an IconSet with a handle to a native resource.
`IconSet(Pixbuf pixbuf)` Construct a new IconSet from a Pixbuf.

Method Summary
`void` `addSource(IconSource iconSource)` Icon sets have a list of `IconSource` which they use as base icons for rendering icons in different states and sizes.
`static IconSet` `getIconSet(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`int` `getType()`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconSet

    public IconSet(org.gnu.glib.Handle handle)

  Initialize an IconSet with a handle to a native resource.

### IconSet

    public IconSet()

  Construct a new empty IconSet.

### IconSet

    public IconSet(Pixbuf pixbuf)

  Construct a new IconSet from a Pixbuf.

Method Detail

### getIconSet

    public static IconSet getIconSet(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### addSource

    public void addSource(IconSource iconSource)

  Icon sets have a list of `IconSource` which they use as base icons for rendering icons in different states and sizes. The base images and when to use them are described by a IconSource. This method adds an IconSource to the IconSet.

  Parameters:
    `iconSource` - The IconSource to add to this IconSet.

### getType

    public int getType()